Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class GenerateStorageInPDALocationCollection
    Inherits BaseObject

    Private _StoragePDAParameters As StoragePDAParameters
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property StoragePDAParameters As StoragePDAParameters
        Get
            Return _StoragePDAParameters
        End Get
        Set(value As StoragePDAParameters)
            SetPropertyValue("StoragePDAParameters", _StoragePDAParameters, value)
        End Set
    End Property
End Class
